bl_info = {
    "name": "Render Toolbox",
    "description": "Perform checks and setup outputs",
    "author": "Samuel Bernou",
    "version": (0, 1, 0),
    "blender": (3, 0, 0),
    "location": "View3D",
    "warning": "",
    "doc_url": "https://git.autourdeminuit.com/autour_de_minuit/render_toolbox",
    "tracker_url": "https://git.autourdeminuit.com/autour_de_minuit/render_toolbox/issues",
    "category": "Object"
}

## TODO:
## Transfer useful and generic render function from gp_render:
# - mute/unmute all file output nodes
# - export crop infos to json (hardcoded path in gp_render. make an export dialog instead, with eventually an environnement variable for the path)
# - Viewlayer list view

## Transfer useful and genereric render stuff from gp_toolbox:
# - ? Conflict visibility checker ? This also fit other tasks, but more often use to debug at precomp/rendering step.

## Improve existing:
# - Connect to file output node should have the option to add scene name as output prefix
# - Connect to file output node should have search and replace options for output names in window
# - Connect to file output node should not remove unlinked output by defaut (should be an option in window)


from . import setup_outputs
from . import ui

bl_modules = (
    setup_outputs,
    ui,
    # prefs,
)

import bpy

def register():
    for mod in bl_modules:
        mod.register()


def unregister():
    for mod in reversed(bl_modules):
        mod.unregister()

if __name__ == "__main__":
    register()